Loading...
Searching...
No Matches
Dynamically typed object
MessagePack C
Collaboration diagram for Dynamically typed object:

## Classes

struct | msgpack_object_array
struct | msgpack_object_map
struct | msgpack_object_str
struct | msgpack_object_bin
struct | msgpack_object_ext
union | msgpack_object_union
struct | msgpack_object
struct | msgpack_object_kv

## Typedefs

typedef struct msgpack_object | msgpack_object
typedef struct msgpack_object_kv | msgpack_object_kv

## Enumerations

enum

msgpack_object_type {
MSGPACK_OBJECT_NIL = 0x00 , MSGPACK_OBJECT_BOOLEAN = 0x01 , MSGPACK_OBJECT_POSITIVE_INTEGER = 0x02 , MSGPACK_OBJECT_NEGATIVE_INTEGER = 0x03 ,
MSGPACK_OBJECT_FLOAT32 = 0x0a , MSGPACK_OBJECT_FLOAT64 = 0x04 , MSGPACK_OBJECT_FLOAT = 0x04 , MSGPACK_OBJECT_STR = 0x05 ,
MSGPACK_OBJECT_ARRAY = 0x06 , MSGPACK_OBJECT_MAP = 0x07 , MSGPACK_OBJECT_BIN = 0x08 , MSGPACK_OBJECT_EXT = 0x09
}

## Functions

MSGPACK_DLLEXPORT void | msgpack_object_init_nil (msgpack_object *d)
MSGPACK_DLLEXPORT void | msgpack_object_init_boolean (msgpack_object *d, bool v)
MSGPACK_DLLEXPORT void | msgpack_object_init_unsigned_integer (msgpack_object *d, uint64_t v)
MSGPACK_DLLEXPORT void | msgpack_object_init_signed_integer (msgpack_object *d, int64_t v)
MSGPACK_DLLEXPORT void | msgpack_object_init_float32 (msgpack_object *d, float v)
MSGPACK_DLLEXPORT void | msgpack_object_init_float64 (msgpack_object *d, double v)
MSGPACK_DLLEXPORT void | msgpack_object_init_str (msgpack_object *d, const char *data, uint32_t size)
MSGPACK_DLLEXPORT void | msgpack_object_init_bin (msgpack_object *d, const char *data, uint32_t size)
MSGPACK_DLLEXPORT void | msgpack_object_init_ext (msgpack_object *d, int8_t type, const char *data, uint32_t size)
MSGPACK_DLLEXPORT void | msgpack_object_init_array (msgpack_object *d, msgpack_object *data, uint32_t size)
MSGPACK_DLLEXPORT void | msgpack_object_init_map (msgpack_object *d, msgpack_object_kv *data, uint32_t size)
MSGPACK_DLLEXPORT void | msgpack_object_print (FILE *out, msgpack_object o)
MSGPACK_DLLEXPORT int | msgpack_object_print_buffer (char *buffer, size_t buffer_size, msgpack_object o)
MSGPACK_DLLEXPORT bool | msgpack_object_equal (const msgpack_object x, const msgpack_object y)

## Detailed Description

## Typedef Documentation

## msgpack_object

typedef struct msgpack_object msgpack_object

## msgpack_object_kv

typedef struct msgpack_object_kv msgpack_object_kv

## Enumeration Type Documentation

## msgpack_object_type

enum msgpack_object_type

Enumerator
MSGPACK_OBJECT_NIL |
MSGPACK_OBJECT_BOOLEAN |
MSGPACK_OBJECT_POSITIVE_INTEGER |
MSGPACK_OBJECT_NEGATIVE_INTEGER |
MSGPACK_OBJECT_FLOAT32 |
MSGPACK_OBJECT_FLOAT64 |
MSGPACK_OBJECT_FLOAT |
MSGPACK_OBJECT_STR |
MSGPACK_OBJECT_ARRAY |
MSGPACK_OBJECT_MAP |
MSGPACK_OBJECT_BIN |
MSGPACK_OBJECT_EXT |

## Function Documentation

## msgpack_object_equal()

MSGPACK_DLLEXPORT bool msgpack_object_equal | ( | const msgpack_object | x,
|  | const msgpack_object | y
| ) |  |

## msgpack_object_init_array()

MSGPACK_DLLEXPORT void msgpack_object_init_array | ( | msgpack_object * | d,
|  | msgpack_object * | data,
|  | uint32_t | size
| ) |  |

## msgpack_object_init_bin()

MSGPACK_DLLEXPORT void msgpack_object_init_bin | ( | msgpack_object * | d,
|  | const char * | data,
|  | uint32_t | size
| ) |  |

## msgpack_object_init_boolean()

MSGPACK_DLLEXPORT void msgpack_object_init_boolean | ( | msgpack_object * | d,
|  | bool | v
| ) |  |

## msgpack_object_init_ext()

MSGPACK_DLLEXPORT void msgpack_object_init_ext | ( | msgpack_object * | d,
|  | int8_t | type,
|  | const char * | data,
|  | uint32_t | size
| ) |  |

## msgpack_object_init_float32()

MSGPACK_DLLEXPORT void msgpack_object_init_float32 | ( | msgpack_object * | d,
|  | float | v
| ) |  |

## msgpack_object_init_float64()

MSGPACK_DLLEXPORT void msgpack_object_init_float64 | ( | msgpack_object * | d,
|  | double | v
| ) |  |

## msgpack_object_init_map()

MSGPACK_DLLEXPORT void msgpack_object_init_map | ( | msgpack_object * | d,
|  | msgpack_object_kv * | data,
|  | uint32_t | size
| ) |  |

## msgpack_object_init_nil()

MSGPACK_DLLEXPORT void msgpack_object_init_nil | ( | msgpack_object * | d | ) |

## msgpack_object_init_signed_integer()

MSGPACK_DLLEXPORT void msgpack_object_init_signed_integer | ( | msgpack_object * | d,
|  | int64_t | v
| ) |  |

## msgpack_object_init_str()

MSGPACK_DLLEXPORT void msgpack_object_init_str | ( | msgpack_object * | d,
|  | const char * | data,
|  | uint32_t | size
| ) |  |

## msgpack_object_init_unsigned_integer()

MSGPACK_DLLEXPORT void msgpack_object_init_unsigned_integer | ( | msgpack_object * | d,
|  | uint64_t | v
| ) |  |

## msgpack_object_print()

MSGPACK_DLLEXPORT void msgpack_object_print | ( | FILE * | out,
|  | msgpack_object | o
| ) |  |

## msgpack_object_print_buffer()

MSGPACK_DLLEXPORT int msgpack_object_print_buffer | ( | char * | buffer,
|  | size_t | buffer_size,
|  | msgpack_object | o
| ) |  |